Bug 1629080 - FreeIPA Python 2 Removal
Summary: FreeIPA Python 2 Removal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Heimes
QA Contact:
URL:
Whiteboard:
Depends On: 1634573
Blocks: 1629737
TreeView+ depends on / blocked
 
Reported: 2018-09-14 19:47 UTC by Ben Cotton
Modified: 2019-04-30 15:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:49:31 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2018-09-14 19:47:00 UTC
This is a tracking bug for Change: FreeIPA Python 2 Removal
For more details, see: https://fedoraproject.org/wiki/Changes/FreeIPA_Python_2_Removal

FreeIPA 4.8 will require Python 3.6+ and therefore no longer provide Python 2 packages on Fedora 30.

Comment 1 Ben Cotton 2019-02-19 20:30:17 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 2 Christian Heimes 2019-02-26 14:07:38 UTC
Thomas Wörner has dropped Python 2 packages from Rawhide / F30 a while ago. F30 builds no longer contain Python 2 packages.

https://src.fedoraproject.org/rpms/freeipa/c/eb6303268200652fdae48c6c429664f6999a7a6f
https://koji.fedoraproject.org/koji/buildinfo?buildID=1213533

Comment 3 Ben Cotton 2019-03-05 21:49:52 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.


Note You need to log in before you can comment on or make changes to this bug.